# Uses of Interface
org.opensaml.soap.wssecurity.Reference

Packages that use Reference
Package
Description
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.

## Uses of Reference in org.opensaml.soap.wssecurity.impl

Classes in org.opensaml.soap.wssecurity.impl that implement Reference
Modifier and Type
Class
Description
`class`
`ReferenceImpl`
ReferenceImpl.
Methods in org.opensaml.soap.wssecurity.impl that return Reference
Modifier and Type
Method
Description
`Reference`
ReferenceBuilder.`buildObject()`
Builds a WS-Security object of the given type.
`Reference`
ReferenceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.